Subject: [Hipsec] HIP: A question related to Base Exchange draft

From: <[email-masked]>
Date: Mon, 27 Aug 2007 15:39:52 +0300

Hi,

My name is Juha Korhonen and I am working at Nokia Research Center with
HIP implementation issues for Symbian. I have been reading the draft
document (http://tools.ietf.org/html/draft-ietf-hip-base-08) and the
following details are unclear for me:

	Here are them:

> 1. The state diagram at page 29 states that 
> 
> - When a peer is CLOSED or CLOSING and it has a datagram to send it
> acts as a Iniator of the HIP connection and sends I1 packet. After
> this it moves to state I1-SENT.
> 
> 2. On the contrary the description of the states' behaviour (first
> trigger in CLOSED/CLOSING on page 26 and 27) says:
> 
> - When there is data to send and a another incarnation of hip
> association is needed a peer sends I1 packet and stays in state
> CLOSING or CLOSED. This is not exactly the same what the State diagram
> shows: "a peer moves to state I1-SENT".
> 
> 
> In my understanding alternative 1 could be the wanted behaviour
> according to the processing of packets: peer moves to I1-SENT or peer
> stays at CLOSING/CLOSED. Also maybe the thing that, the incarnation of
> Security Associations refers to rekeying and rekeying needs new Base
> Exchange supports option 1. 
> 
	There is perhaps something I do not understand, but this is how
I see it. Can someone clarify how it works?

> Brgds,
> Juha
_______________________________________________
Hipsec mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/hipsec

---

From: Petri Jokela <[email-masked]>
Date: Wed, 29 Aug 2007 15:10:32 +0300

Hi,

[email-masked] wrote:
>       - When a peer is CLOSED or CLOSING and it has a datagram to send
>       it acts as a Iniator of the HIP connection and sends I1 packet.
>       After this it moves to state I1-SENT.
> 
>       CLOSING or CLOSED. This is not exactly the same what the State
>       diagram shows: "a peer moves to state I1-SENT".
> 
> 
>       according to the processing of packets: peer moves to I1-SENT or
>       peer stays at CLOSING/CLOSED. Also maybe the thing that, the
>       incarnation of Security Associations refers to rekeying and
>       rekeying needs new Base Exchange supports option 1.
> 

You are right. The state diagram is wrong, the state should remain in
CLOSED/CLOSING. The new negotiation doesn't affect this instance but it
is handled separately.

Thanks for pointing this out!

/petri

-- 
Petri Jokela                         Phone:  +358 44 299 2413
Research Scientist                   Fax:    +358 9 299 3535
Ericsson Research, NomadicLab        E-mail: [email-masked]
Finland